Skip to main content

Update Data Contract

Update an existing data contract by its ID. The request body must contain the updated DataContract object.

Path Parameters
id int32 — REQUIRED
Request Body — REQUIRED

Updated DataContract object.

specVersion string
catalogURL string
termsAndConditions object
dataSchemaContract int32[]
dataValidationContract int32[]
dataMetricsContract int32[]
dataQualityContract int32[]
governancePoliciesContract int32[]
stakeholders object
producers string[]
consumers string[]
operators string[]
admins string[]
notifications object
emails string[]
slack_channels string[]
webhook_urls string[]
sampleValues string[]
usageInfo string
json string
version string
active boolean
assetCreatedDate date-time
assetUpdatedDate date-time
createdTime int64
updatedTime int64
createdBy string
updatedBy string
owner string
tags string[]
id int32
name string
description string
datasetId string
columns string
successMsg string
failureMsg string
onboardingStatus string

Possible values: [drafted, deployed, paused, under_review, approved]

executionStatus string

Possible values: [passing, failing, pending]

criticalityLevel string

Possible values: [high, moderate, less, not]

Responses
200

Data contract updated successfully.

Schema — OPTIONAL
specVersion string — OPTIONAL
catalogURL string — OPTIONAL
termsAndConditions object — OPTIONAL
dataSchemaContract int32[] — OPTIONAL
dataValidationContract int32[] — OPTIONAL
dataMetricsContract int32[] — OPTIONAL
dataQualityContract int32[] — OPTIONAL
governancePoliciesContract int32[] — OPTIONAL
stakeholders object — OPTIONAL
producers string[] — OPTIONAL
consumers string[] — OPTIONAL
operators string[] — OPTIONAL
admins string[] — OPTIONAL
notifications object — OPTIONAL
emails string[] — OPTIONAL
slack_channels string[] — OPTIONAL
webhook_urls string[] — OPTIONAL
sampleValues string[] — OPTIONAL
usageInfo string — OPTIONAL
json string — OPTIONAL
version string — OPTIONAL
active boolean — OPTIONAL
assetCreatedDate date-time — OPTIONAL
assetUpdatedDate date-time — OPTIONAL
createdTime int64 — OPTIONAL
updatedTime int64 — OPTIONAL
createdBy string — OPTIONAL
updatedBy string — OPTIONAL
owner string — OPTIONAL
tags string[] — OPTIONAL
id int32 — OPTIONAL
name string — OPTIONAL
description string — OPTIONAL
datasetId string — OPTIONAL
columns string — OPTIONAL
successMsg string — OPTIONAL
failureMsg string — OPTIONAL
onboardingStatus string — OPTIONAL

Possible values: [drafted, deployed, paused, under_review, approved]

executionStatus string — OPTIONAL

Possible values: [passing, failing, pending]

criticalityLevel string — OPTIONAL

Possible values: [high, moderate, less, not]

304

No contract found with the specified ID. No modification performed.

401

Unauthorized. Authentication required.

500

Internal server error during update.